List Triggers
List existing Incident Workflow Triggers
Scoped OAuth requires: incident_workflows.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
If provided, only show triggers configured to start the given workflow. Useful for listing all services associated with the given workflow
If provided, only show triggers configured on the service of the given incident. Useful for finding manual triggers that are configured on the service for a specific incident. Cannot be specified if service_id is provided.
If provided, only show triggers configured for incidents in the given service. Useful for listing all workflows associated with the given service. Cannot be specified if incident_id is provided.
If provided, only show triggers of the given type. For example “manual” to search for manual triggers
Value in
- "manual"
- "conditional"
- "incident_type"
If provided, only show triggers configured to start workflows whose name contain the provided value.
If provided, filters between disabled and enabled Triggers. This query parameter is deprecated, and will be removed in a future version of this API.
If provided, returns triggers sorted by the specified property.
Value in
- "workflow_id"
- "workflow_id asc"
- "workflow_id desc"
- "workflow_name"
- "workflow_name asc"
- "workflow_name desc"
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List Actions GET
List Incident Workflow Actions Scoped OAuth requires: `incident_workflows.read`
List Incident Workflows GET
List existing Incident Workflows. This is the best method to use to list all Incident Workflows in your account. If your use case requires listing Incident Workflows associated with a particular Service, you can use the "List Triggers" method to find Incident Workflows configured to start for Incidents in a given Service. An Incident Workflow is a sequence of configurable Steps and associated Triggers that can execute automated Actions for a given Incident. Scoped OAuth requires: `incident_workflows.read`